#version 330

uniform float alpha0; // global alpha

in vec4 color0; // Color from the previous shader stage

out vec4 fragColor; // Final color

void main()
{
    // Use the min alpha between local and global
    fragColor = vec4(color0.rgb, min(color0.a, alpha0));
}
