#version 330 core

uniform sampler2D texture1; // mask
uniform vec4 color;

in vec2 texCoord0;
out vec4 out_Color;

void main()
{
    float mask = texture(texture1, texCoord0).r;

    if (mask > 0.0)
    {
        out_Color = color;
    }
    else
    {
        discard;
    }
}