#extension GL_OES_standard_derivatives : enable
precision mediump float;

uniform sampler2D texture0;

varying vec2 texCoord0;

void main()
{
	vec3 color = vec3(1.0, 1.0, 1.0);
	float dist = texture2D(texture0, texCoord0).r;
	float width = fwidth(dist);
	float alpha = smoothstep(0.5-width, 0.5+width, dist);
	gl_FragColor = vec4(color, alpha);
}