precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;
uniform vec3 color;

varying vec2 texCoord0;

void main()
{
    float mask = texture2D(texture1, texCoord0).r;

    if (mask > 0.0)
    {
        gl_FragColor = vec4(color, 1.0);
    }
    else
    {
        discard;
    }
}