#version 100

precision highp float;

attribute vec2 position;

uniform sampler2D texture0; // lon
//uniform sampler2D texture1; // lat

varying vec4 position0;
//varying vec4 latitude;

void main()
{
    // Get particle informations
    position0 = texture2D(texture0, position);
    //latitude = texture2D(texture1, position);

    vec2 clipPosition = position * 2.0 - 1.0;
    gl_Position = vec4(clipPosition, 0.0, 1.0);
}
