#version 100

attribute vec3 position;

uniform mat4 mvp;
uniform vec3 a;
uniform vec3 b;
uniform vec3 c;

void main()
{
    vec3 p = position.x * a + position.y * b + position.z * c;
    p = normalize(p);
    gl_Position = mvp * vec4(p, 1.0);
}
