#version 330 core

uniform sampler2D texture0;
uniform vec3 color;

in vec2 texCoord0;
out vec4 outColor;

void main()
{
    float mask = texture(texture0, texCoord0).r;

    if (mask > 0.0)
    {
        outColor = vec4(color, 1.0);
        //outColor = vec4(mask, 0.0, 0.0, 1.0);

        //outColor = readTexture1(texture0, texCoord0);
    }
    else
    {
        //outColor = vec4(0.0,1.0,0.0, 1.0);
        discard;
    }
}