precision mediump float;

uniform sampler2D texture0; // data
uniform sampler2D texture1; // palette

varying vec2 texCoord0;

void main()
{
    vec4 t0 = texture2D(texture0, texCoord0);

    if (t0.b > 0.0)
    {  
        gl_FragColor = texture2D(texture1, vec2(t0.r, 0.5));
    }
    else
    {
        discard;
    }
}