#version 100

precision highp float;

attribute vec4 position;

uniform sampler2D texture0;

varying vec2 position0;

void main()
{
    // Get particle informations
    position0 = texture2D(texture0, position.xy).rg;

    vec2 clipPosition = position.xy * 2.0 - 1.0;
    gl_Position = vec4(clipPosition, 0.0, 1.0);
}
